textures/alliance/htfloor
{
	cull none
	surfaceparm alphashadow
	surfaceparm trans
//	q3map_lightimage textures/alliance/jk_tv_r.tga
//	q3map_surfacelight 400

	{
		map textures/alliance/htfloor.tga
//		blendFunc GL_ONE GL_ZERO
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alliance/htredlogo
{
	qer_editorimage textures/alliance/htredlogo.tga
	surfaceparm trans 
	surfaceparm nomarks 
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps

	{
		map textures/alliance/htredlogo.tga
		blendFunc add
//		tcmod rotate 240
//		tcMod stretch sin .8 0.2 0 .8
		rgbGen vertex
	}
}

textures/alliance/htfloorshadow
{
	cull none
	surfaceparm alphashadow
	surfaceparm trans

	{
		map textures/alliance/htfloorshadow.tga
//		blendFunc GL_ONE GL_ZERO
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alliance/htredlogolava
{
	// Added to g3map_global texture on May 11, 1999
	qer_editorimage textures/alliance/htredlogolava.tga
//	q3map_globaltexture
//	q3map_lightsubdivide 32
	//surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
//	q3map_surfacelight 1500
	cull disable
	
//	tesssize 128
//	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/alliance/htredlogolava.tga
		//tcMod turb 0 .2 0 .1
	}
       
}

textures/alliance/htbluelogolava
{
	// Added to g3map_global texture on May 11, 1999
	qer_editorimage textures/alliance/htbluelogolava.tga
//	q3map_globaltexture
//	q3map_lightsubdivide 32
	//surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
//	q3map_surfacelight 1500
	cull disable
	
//	tesssize 128
//	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/alliance/htbluelogolava.tga
		//tcMod turb 0 .2 0 .1
	}
       
}

textures/alliance/htregan
{
	qer_editorimage textures/alliance/htregan.tga
	cull none
	surfaceparm nomipmaps
	nopicmip
        {
		map textures/alliance/htregan.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

textures/alliance/htpriest
{
	qer_editorimage textures/alliance/htpriest.tga
	cull none
	surfaceparm nomipmaps
	nopicmip
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/alliance/htpriest.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/alliance/htcop
{
	qer_editorimage textures/alliance/htcop.tga
	cull none
	surfaceparm nomipmaps
	nopicmip
        {
		map textures/alliance/htcop.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

textures/alliance/htburk
{
	qer_editorimage textures/alliance/htburk.tga
	cull none
	surfaceparm nomipmaps
	nopicmip
        {
		map textures/alliance/htburk.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

textures/alliance/htmom
{
	qer_editorimage textures/alliance/htmom.tga
	cull none
	surfaceparm nomipmaps
	nopicmip
        {
		map textures/alliance/htmom.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

textures/alliance/hthoriz1
	{
	qer_editorimage textures/alliance/hthoriz1.tga
	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/alliance/hthoriz1.tga
//		blendFunc GL_ONE GL_ZERO
		blendFunc add
		alphaFunc LT128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alliance/hthoriz2
	{
	qer_editorimage textures/alliance/hthoriz2.tga
//	surfaceparm alphashadow
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/alliance/hthoriz2.tga
		blendFunc add
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alliance/jk_skin6b
{
 tessSize 128
 deformVertexes wave 100 sin 4 3 0 0.3
 {
  map $lightmap
  rgbGen identity
 }
 {
  map textures/alliance/jk_skin6b.jpg
  blendFunc GL_DST_COLOR GL_ZERO
  rgbGen identity
 }
}
