textures/graf04/skybox01
{
	qer_editorimage textures/graf04/meat_sky_morning_ft.tga

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_globaltexture

	q3map_lightsubdivide 256
	q3map_surfacelight 80

	skyparms env/graf04/meat_sky/meat_sky_morning - -

}

textures/graf04/slime1
	{
		qer_editorimage textures/liquids/proto_gruel3.tga
		q3map_lightimage textures/liquids/proto_gruel3.tga
		q3map_globaltexture
		qer_trans .5

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 100
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/liquids/proto_gruel3.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}

		{
			map textures/liquids/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}		


}

textures/graf04/slime2
	{
		qer_editorimage textures/liquids/proto_gruel3.tga
		q3map_lightimage textures/liquids/proto_gruel3.tga
		q3map_globaltexture
		qer_trans .5

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans	

		q3map_surfacelight 100
		tessSize 32
		cull disable

		//deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/liquids/proto_gruel3.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			//tcMod scale .5 .5
			tcMod scroll .01 .01
		}

		{
			map textures/liquids/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			//tcMod scale .05 .05
			tcMod scroll .001 .001
		}	
		{
			map textures/graf04/k_bluelight.tga
			blendfunc filter
			tcMod turb 0.2 0.1 0.1 0.2
			tcMod scroll 0.001 0.001
		}		


}

textures/graf04/wsupprt1_12
{
	qer_editorimage textures/base_light/wsupprt1_12.tga
	
	surfaceparm nomarks
	q3map_surfacelight 6000
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/graf04/wsupprt1_12k
{
	qer_editorimage textures/base_light/wsupprt1_12.tga
	
	surfaceparm nomarks
	q3map_surfacelight 12000
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/graf04/baslt4_1_500
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/graf04/ceil1_38_nl
{
	qer_editorimage textures/base_light/ceil1_38.tga
	
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/graf04/ceil1_rflash
{
	qer_editorimage textures/base_light/ceil1_22a.tga
	q3map_lightimage textures/base_light/ceil1_22a.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 200
	{
		map textures/base_light/ceil1_22a.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendfunc blend
		rgbGen wave sin 1 0.5 0 1 
	}
} 

textures/graf04/ceil1_bflash
{
	qer_editorimage textures/base_light/ceil1_30.tga
	q3map_lightimage textures/base_light/ceil1_30.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 200
	{
		map textures/base_light/ceil1_30.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/base_light/ceil1_30.tga
		blendfunc blend
		rgbGen wave sin 1 0.5 0 1 
	}
}

textures/graf04/telefx2
{
	qer_editorimage textures/loki_ctf/telefx2.tga
   	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull disable
   
       {
               map textures/loki_ctf/telefx2.tga
               blendfunc GL_ONE GL_ONE
	       tcMod scale 4. 2.	
               tcMod scroll 1.15 .25
               //rgbGen wave sin .5 .8 .5 .5
       }
       {
               map textures/loki_ctf/telefx2.tga
               blendfunc GL_ONE GL_ONE
	       tcMod scale 4. 2.	
               tcMod scroll .75 -.15
               //rgbGen wave sin .5 .8 .5 .5
       }
	
}

textures/graf04/blue_slime
{
	qer_editorimage textures/liquids/proto_gruel3.tga
	q3map_lightimage textures/liquids/proto_gruel3.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm slime
	surfaceparm trans
	cull disable
	tessSize 32
	qer_trans 1
	q3map_surfacelight 300
	q3map_globaltexture
	{
		map textures/liquids/proto_gruel3.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc filter
		rgbGen const ( 0.0588235 0.929412 1 )
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scroll 0.001 0.001
	}
}


textures/graf04/red_slime
{
	qer_editorimage textures/liquids/proto_gruel3.tga
	q3map_lightimage textures/liquids/proto_gruel3.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm slime
	surfaceparm trans
	cull disable
	tessSize 32
	qer_trans 1
	q3map_surfacelight 300
	q3map_globaltexture
	{
		map textures/liquids/proto_gruel3.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc filter
		rgbGen const ( 1 0 0 )
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scroll 0.001 0.001
	}
}